package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 采购合同变更-其他约定表
 * </p>
 *
 * @author yafan
 * @since 2024-01-19
 */
@TableName("purch_contract_supplement_approval_comment_info")
public class PurchContractSupplementApprovalCommentInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 采购合同变更-审核Id
     */
    @TableField("purch_contract_supplement_approval_id")
    private Long purchContractSupplementApprovalId;

    /**
     * 其他约定
     */
    @TableField("other_comment")
    private String otherComment;

    /**
     * 创建人
     */
    @TableField("user_create")
    private String userCreate;

    /**
     * 修改人
     */
    @TableField("user_modified")
    private String userModified;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPurchContractSupplementApprovalId() {
        return purchContractSupplementApprovalId;
    }

    public void setPurchContractSupplementApprovalId(Long purchContractSupplementApprovalId) {
        this.purchContractSupplementApprovalId = purchContractSupplementApprovalId;
    }

    public String getOtherComment() {
        return otherComment;
    }

    public void setOtherComment(String otherComment) {
        this.otherComment = otherComment;
    }

    public String getUserCreate() {
        return userCreate;
    }

    public void setUserCreate(String userCreate) {
        this.userCreate = userCreate;
    }

    public String getUserModified() {
        return userModified;
    }

    public void setUserModified(String userModified) {
        this.userModified = userModified;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Override
    public String toString() {
        return "PurchContractSupplementApprovalCommentInfo{" +
                "id=" + id +
                ", purchContractSupplementApprovalId=" + purchContractSupplementApprovalId +
                ", otherComment=" + otherComment +
                ", userCreate=" + userCreate +
                ", userModified=" + userModified +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                "}";
    }
}
